Summary:	KeePassXC - Cross Platform Password Manager
Summary(pl.UTF-8):	KeePassXC - Wieloplatformowy zarządca haseł
Name:		keepassxc
Version:	2.6.2
Release:	1
License:	GPL v2+
Group:		X11/Applications
Source0:	https://github.com/keepassxreboot/keepassxc/archive/%{version}.tar.gz
# Source0-md5:	395e8336bccbf58ad337dca856740cce
URL:		https://keepassxc.org/
BuildRequires:	Qt5Concurrent-devel >= 5.2.0
BuildRequires:	Qt5Core-devel >= 5.2.0
BuildRequires:	Qt5DBus-devel >= 5.2.0
BuildRequires:	Qt5Gui-devel >= 5.2.0
BuildRequires:	Qt5Network-devel >= 5.2.0
BuildRequires:	Qt5Svg-devel >= 5.2.0
BuildRequires:	Qt5Test-devel >= 5.2.0
BuildRequires:	Qt5Widgets-devel >= 5.2.0
BuildRequires:	Qt5X11Extras-devel >= 5.2.0
BuildRequires:	cmake >= 3.3.0
BuildRequires:	libargon2-devel
BuildRequires:	libgcrypt-devel >= 1.7.0
BuildRequires:	libgpg-error-devel
BuildRequires:	libsodium-devel >= 1.0.12
BuildRequires:	libyubikey-devel
BuildRequires:	qrencode-devel
BuildRequires:	qt5-build >= 5.2.0
BuildRequires:	qt5-linguist >= 5.2.0
BuildRequires:	qt5-qmake >= 5.2.0
BuildRequires:	rpmbuild(find_lang) >= 1.37
BuildRequires:	rpmbuild(macros) >= 1.230
BuildRequires:	ruby-asciidoctor
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXi-devel
BuildRequires:	xorg-lib-libXtst-devel
BuildRequires:	ykpers-devel
BuildRequires:	zlib-devel >= 1.2.0
Requires:	Qt5Concurrent >= 5.2.0
%requires_ge_to	Qt5Core Qt5Core-devel
Requires:	Qt5DBus >= 5.2.0
Requires:	Qt5Gui >= 5.2.0
Requires:	Qt5Network >= 5.2.0
Requires:	Qt5Svg >= 5.2.0
Requires:	Qt5Widgets >= 5.2.0
Requires:	Qt5X11Extras >= 5.2.0
Requires:	desktop-file-utils
Requires:	hicolor-icon-theme
Requires:	libgcrypt >= 1.7.0
Requires:	libsodium >= 1.0.12
Requires:	shared-mime-info
Requires:	zlib >= 1.2.0
Obsoletes:	KeePassX
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KeePassXC is a free/open-source password manager or safe which helps
you to manage your passwords in a secure way. You can put all your
passwords in one database, which is locked with one master key or a
key-disk. So you only have to remember one single master password or
insert the key-disk to unlock the whole database. The databases are
encrypted using the best and most secure encryption algorithms
currently known (AES and Twofish).

%description -l pl.UTF-8
KeePassXC to darmowy i mający otwarte źródła zarządca do
przechowywania haseł, który pozwala na zarządzanie hasłami w bardzo
bezpieczny sposób. Pozwala umieścić wszystkie swoje hasła w jednej
bazie, która jest zabezpieczona poprzez jedno bardzo trudne hasło albo
dysk z kluczem. Wystarczy więc zapamiętać jedno trudne hasło lub
umieścić dysk z kluczem aby odblokować całą bazę z kluczami. Baza jest
zaszyfrowana najlepszymi i najbardziej bezpiecznymi algorytmami
szyfrowania jakie są do tej pory znane (AES i TwoFish).

%prep
%setup -q

%build
install -d build
cd build
%cmake \
	-DKEEPASSXC_BUILD_TYPE=Release \
	-DWITH_XC_BROWSER=ON \
	-DWITH_XC_KEESHARE=ON \
	-DWITH_XC_SSHAGENT=ON \
	-DWITH_XC_YUBIKEY=ON \
	..
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang keepassx %{name}.lang --with-qm

%{__sed} -i -e '
	s/%lang(en_plurals)/%%lang(en)/
	s/%lang(nl_NL)/%%lang(nl)/
' %{name}.lang

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor
%update_desktop_database
%update_mime_database

%postun
%update_icon_cache hicolor
%update_desktop_database_postun
%update_mime_database

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/keepassxc
%attr(755,root,root) %{_bindir}/keepassxc-cli
%attr(755,root,root) %{_bindir}/keepassxc-proxy
%{_datadir}/metainfo/org.keepassxc.KeePassXC.appdata.xml
%{_datadir}/mime/packages/keepassxc.xml
%{_desktopdir}/org.keepassxc.KeePassXC.desktop
%dir %{_datadir}/keepassxc
%{_datadir}/keepassxc/docs
%{_datadir}/keepassxc/icons
%dir %{_datadir}/keepassxc/translations
%{_datadir}/keepassxc/wordlists
%dir %{_libdir}/keepassxc
%attr(755,root,root) %{_libdir}/keepassxc/libkeepassx-autotype-xcb.so
%{_iconsdir}/hicolor/*x*/apps/keepassxc*.png
%{_iconsdir}/hicolor/scalable/apps/keepassxc*.svg
%{_iconsdir}/hicolor/scalable/mimetypes/application-x-keepassxc.svg
%{_mandir}/man1/keepassxc.1*
%{_mandir}/man1/keepassxc-cli.1*
%changelog
* Thu Oct 22 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/keepassxc.git;a=log;h=master

* Thu Oct 22 2020 Jan Palus <atler@pld-linux.org> 748556a
- up to 2.6.2

* Thu Aug 20 2020 Jan Palus <atler@pld-linux.org> 19fd7a8
- up to 2.6.1

* Tue Jul 07 2020 Jan Palus <atler@pld-linux.org> e8b4ba4
- up to 2.6.0

* Fri Apr 10 2020 Jan Palus <atler@pld-linux.org> 7a935e6
- up to 2.5.4

* Sun Jan 19 2020 Jan Palus <atler@pld-linux.org> c0f41fc
- up to 2.5.3

* Sat Jan 04 2020 Jan Palus <atler@pld-linux.org> f8130ab
- up to 2.5.2

* Wed Nov 20 2019 Jan Palus <atler@pld-linux.org> 4152993
- typo

* Tue Nov 19 2019 Jan Palus <atler@pld-linux.org> 0f653b4
- require build time Qt5Core version; rel 2

* Mon Nov 11 2019 Jan Palus <atler@pld-linux.org> da41d7b
- up to 2.5.1

* Sat Oct 26 2019 Jan Palus <atler@pld-linux.org> c093991
- up to 2.5.0

* Wed Jun 12 2019 Jan Palus <atler@pld-linux.org> 4dbea24
- up to 2.4.3

* Sat Jun 01 2019 Jan Palus <atler@pld-linux.org> ebfc675
- up to 2.4.2

* Sat Apr 13 2019 Jan Palus <atler@pld-linux.org> 1f21cf1
- up to 2.4.1

* Wed Mar 20 2019 Jan Palus <atler@pld-linux.org> a43b024
- up to 2.4.0

* Mon Nov 05 2018 Jan Palus <atler@pld-linux.org> 7faa084
- enable yubikey support

* Mon Nov 05 2018 Jan Palus <atler@pld-linux.org> e580663
- version 2.3.4

* Mon Nov 05 2018 Jan Palus <atler@pld-linux.org> 68b2b3b
- rename keepassx -> keepassxc

* Wed Apr 20 2016 Jan Rękorajski <baggins@pld-linux.org> 6a4b7e5
- restore git.patch and qt5 support (the freezez with qt4 are still there)
- rel 2

* Sun Mar 20 2016 Jan Palus <atler@pld-linux.org> ca9a406
- correct source url

* Sun Mar 20 2016 Jan Palus <atler@pld-linux.org> cd997dc
- up to 2.0.2

